/* MAIN */
#product_main_section {
    max-width: 1300px;
    margin: auto;
    padding: 10px 0px 60px;
}

.product_grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
}

.main_image_wrapper {
    position: relative;
    border: 1px solid #eddcdc;
    border-radius: 12px;
    overflow: hidden;
}

.main_image_wrapper img {
    width: 100%;
    height: 530px;
    display: block;
}

.badge {
    position: absolute;
    top: 14px;
    left: 14px;
    background: #B76E79;
    color: #fff;
    font-size: 12px;
    padding: 6px 12px;
    border-radius: 20px;
}

#playVideoBtn {
    position: absolute;
    bottom: 15px;
    right: 15px;
    border: none;
    background: #000;
    color: #fff;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    font-size: 18px;
    cursor: pointer;
    transition: .3s;
}

#playVideoBtn:hover {
    transform: scale(1.1)
}

.thumb_row {
    display: flex;
    gap: 14px;
    margin-top: 15px;
}

.thumb {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 8px;
    cursor: pointer;
    border: 2px solid transparent;
}

.thumb.active {
    border-color: #c47a7a;
}

/* DETAILS */
.rating {
    color: #c47a7a;
    margin-bottom: 15px;
}

.rating span {
    color: #777;
    margin: 0 6px
}

.title {
    font-family: "Playfair Display";
    font-size: 40px;
    margin-bottom: 10px;
}

.subtitle {
    color: #666;
    margin-bottom: 20px;
}

.price_row {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 15px;
}

.price_row h2 {
    font-size: 32px;
}

.old {
    text-decoration: line-through;
    color: #999;
}

.save {
    background: #f4dede;
    padding: 5px 12px;
    border-radius: 20px;
    font-size: 13px;
    color: #b65c5c;
}

.stock {
    color: #2d9b4d;
    margin-bottom: 25px;
}

hr {
    border: none;
    border-top: 1px solid #eee;
    margin: 25px 0;
}

.opt_label {
    display: block;
    margin-bottom: 10px;
    font-weight: 600;
}

.option_group {
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
}

.option_group button {
    padding: 12px 30px;
    border: 1px solid #d9a9a9;
    background: #fff;
    border-radius: 10px;
    cursor: pointer;
    transition: .3s;
}

.option_group button:hover {
    background: #f9eeee;
}

.color_group {
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
}

.color {
    width: 34px;
    height: 34px;
    border-radius: 50%;
    border: 2px solid #ddd;
    cursor: pointer;
}

.c1 {
    background: #dcdcdc
}

.c2 {
    background: #ffd84c
}

.c3 {
    background: #e7b6b6
}

.color.active {
    border: 3px solid #c47a7a;
}

.engrave_input {
    width: 100%;
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 10px;
    margin-bottom: 20px;
}

.cart_row {
    display: flex;
    gap: 15px;
    margin-bottom: 15px;
}

.qty_box {
    display: flex;
    border: 1px solid #ddd;
    border-radius: 10px;
    overflow: hidden;
}

.qty_box button {
    width: 40px;
    border: none;
    background: #fff;
    cursor: pointer;
}

.qty_box input {
    width: 40px;
    border: none;
    text-align: center;
}

.add_cart {
    flex: 1;
    background: #b87777;
    color: #fff;
    border: none;
    border-radius: 10px;
    font-size: 16px;
    cursor: pointer;
    transition: .3s;
}

.add_cart:hover {
    background: #a56666;
}

.buy_now {
    width: 100%;
    padding: 15px;
    border-radius: 12px;
    border: 1px solid #d9a9a9;
    background: #fff;
    cursor: pointer;
    margin-bottom: 20px;
}

.icon {
    font-size: 20px;
    color: #b76e79;
    min-width: 28px;
}

.feature-box h6 {
    font-size: 16px;
}

.feature-box small {
    font-size: 14px;
    color: #777;
}

.payment-icons img {
    filter: grayscale(20%);
    transition: 0.3s;
}

.payment-icons img:hover {
    filter: grayscale(0%);
}

.product-tabs-section {
    background: #f9f9f9;
}

.custom-tabs .custom-nav-link {
    border: none;
    color: #666;
    font-weight: 500;
    padding: 12px 20px;
    position: relative;
}

.custom-tabs .custom-nav-link.active {
    color: #b76e79;
}

.custom-tabs .custom-nav-link.active::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -10px;
    width: 100%;
    height: 2px;
    background: #b76e79;
}

.section-title {
    font-weight: 600;
    font-size: 28px;
}

.info-card {
    border: 1px solid rgba(183, 110, 121, 1);
    padding: 25px;
    border-radius: 10px;
    text-align: center;
    background: #fff;
    transition: 0.3s;
}

.info-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
}

.info-card .icon {
    font-size: 24px;
    color: #b76e79;
    margin-bottom: 10px;
}

.spec-box {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
}

.spec-row {
    display: flex;
    justify-content: space-between;
    padding: 12px 0;
    border-bottom: 1px solid #eee;
}

.spec-row:last-child {
    border-bottom: none;
}

.review-box {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
}

/* COMPLETE LOOK */

.complete_title_unique {
    font-family: "Playfair Display", serif;
    font-size: 42px;
}

.complete_sub_unique {
    color: #777;
}

.product_card_unique {
    text-align: left;
    transition: 0.3s;
}

.product_img_wrapper {
    border-radius: 12px;
    border: 1px solid rgba(183, 110, 121, 1);
    padding: 25px;
    background: #fff;
    margin-bottom: 15px;
    overflow: hidden;
}

.product_img_wrapper img {
    height: 260px;
    object-fit: cover;
    width: 100%;
    transition: 0.4s;
}

.product_img_wrapper:hover img {
    transform: scale(1.05);
}

.product_card_unique h5 {
    font-weight: 500;
    margin-bottom: 5px;
}

.stars_unique {
    color: #b87777;
    font-size: 14px;
}

.stars_unique span {
    color: #777;
    margin-left: 5px;
}

.price_unique {
    font-weight: 600;
    margin-top: 5px;
}

/* RECENT */
#recently_viewed_section_unique {
    max-width: 1300px;
    margin: 80px auto;
    padding: 0 20px;
}

.recent_title_unique {
    font-family: "Playfair Display";
    font-size: 40px;
}


/* RESPONSIVE */
@media(max-width:1000px) {

    .about_cards_grid_unique {
        grid-template-columns: 1fr;
    }

    .product_cards_grid_unique {
        grid-template-columns: 1fr 1fr;
    }

}

/* RECENT */

#recent_products_section_final{
    background-color: rgba(247, 247, 248, 1);
}

.recent_title_final {
    font-family: "Playfair Display", serif;
    font-size: 40px;
}

.recent_card_final {
    text-align: left;
}

.recent_img_wrapper {
    border-radius: 12px;
    border: 1px solid #e3b1b1;
    padding: 15px;
    background: #fff;
    margin-bottom: 15px;
    overflow: hidden;
}

.recent_img_wrapper img {
    height: 200px;
    object-fit: cover;
    width: 100%;
    transition: 0.4s;
}

.recent_img_wrapper:hover img {
    transform: scale(1.05);
}

.recent_card_final h6 {
    font-weight: 500;
    margin-bottom: 5px;
}

.recent_card_final p {
    color: #444;
    margin-bottom: 0;
}


/* FEATURES */
#service_features_section_final {
    border-top: 1px solid #e5b6b6;
    background: #fff;
}

.feature_item_final {
    padding: 10px 15px;
}

.feature_icon_final {
    width: 70px;
    height: 70px;
    margin: 0 auto 15px;
    border-radius: 50%;
    background: rgba(253, 248, 246, 1);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
}

.feature_icon_final img {
    max-width: 35px;
}

.feature_item_final h5 {
    font-weight: 600;
    margin-bottom: 5px;
}

.feature_item_final p {
    color: #666;
    font-size: 14px;
    margin-bottom: 0;
}

/* Hover effect */
.feature_item_final:hover .feature_icon_final {
    background: #f5e3e3;
    transform: translateY(-5px);
}

.custom-hr {
    padding: 1px;
    background-color: #b76e79;
}

.custom-nav-link {
    background-color: #f9f9f9 !important;
}
.gallery_block {
    height: 500px;
    width: 642px;
}

/* ============================= */
/* RESPONSIVE DESIGN */
/* ============================= */

/* Large Screens (1400px+) */
@media (min-width: 1400px) {
    .product_grid {
        gap: 80px;
    }

    .main_image_wrapper img {
        height: 600px;
    }
}

/* Laptop & Tablet (992px - 1199px) */
@media (max-width: 1199px) {

    .product_grid {
        gap: 40px;
    }

    .title {
        font-size: 32px;
    }

    .price_row h2 {
        font-size: 26px;
    }

    .main_image_wrapper img {
        height: 450px;
    }
}

/* Tablet (768px - 991px) */
@media (max-width: 991px) {

    .product_grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .main_image_wrapper img {
        height: 420px;
    }

    .thumb_row {
        justify-content: center;
        flex-wrap: wrap;
    }

    .details_block {
        padding-top: 10px;
    }
}

/* Mobile (max 767px) */
@media (max-width: 767px) {

    #breadcrumb_section {
        font-size: 12px;
    }

    #product_main_section {
        padding: 10px 20px 0px;
    }

    .title {
        font-size: 24px;
    }

    .subtitle {
        font-size: 14px;
    }

    .price_row {
        flex-wrap: wrap;
        gap: 10px;
    }

    .price_row h2 {
        font-size: 22px;
    }

    .main_image_wrapper img {
        height: 300px;
    }

    .thumb {
        width: 60px;
        height: 60px;
    }

    .option_group {
        flex-wrap: wrap;
    }

    .option_group button {
        flex: 1;
        padding: 10px;
    }

    .cart_row {
        flex-direction: column;
    }

    .add_cart {
        width: 100%;
        padding: 14px;
    }

    .buy_now {
        padding: 14px;
    }

    .feature-box {
        padding: 10px 0;
    }

    .feature-box h6 {
        font-size: 14px;
    }

    .feature-box small {
        font-size: 12px;
    }

}

/* Small Mobile (max 480px) */
@media (max-width: 480px) {

    .main_image_wrapper img {
        height: 260px;
    }

    .thumb_row {
        gap: 8px;
    }

    .thumb {
        width: 50px;
        height: 50px;
    }

    .qty_box {
        width: 100%;
        justify-content: center;
    }

    .qty_box input {
        width: 50px;
    }
}


#breadcrumb_section {
    font-size: 14px;
}

#breadcrumb_section .breadcrumb-item a {
    color: #777 !important;
    transition: 0.3s ease;
}

#breadcrumb_section .breadcrumb-item a:hover {
    color: #000;
}

#breadcrumb_section .breadcrumb-item.active {
    font-weight: 500;
}

.custom-breadcrumb .breadcrumb-item + .breadcrumb-item::before {
    content: " > ";
}

/* Mobile Responsive */
@media (max-width: 576px) {
    #breadcrumb_section {
        font-size: 12px;
    }

    #breadcrumb_section .breadcrumb {
        flex-wrap: wrap;
    }
.gallery_block {
        height: 500px;
        width: 100%;
    }
}